Signatures

Gestiona las validaciones de firma de un documento y administra firmantes individuales.



POST/v2/documents/{document_id}/add-signer

Add signer

Da de alta a un firmante en un documento. Encuentra o crea al usuario dentro del tenant, le otorga acceso al documento y crea su registro de firma — el que necesitan los campos de firma y las invitaciones.

Path parameters

  • Name
    document_id
    Type
    string
    Description

    ID del documento (UUID).

Request body

  • Name
    signerEmail
    Type
    string
    Description

    Email del firmante. Se valida automáticamente (formato + entregabilidad). Requerido si no se proporciona signerPhone.

  • Name
    signerPhone
    Type
    string
    Description

    Teléfono del firmante en formato E.164 (para firmantes solo WhatsApp). Requerido si no se proporciona signerEmail.

  • Name
    signerName
    Type
    string
    Description

    Nombre para mostrar del firmante.

  • Name
    invitedByEmail
    Type
    string
    Description

    Email del usuario que agrega al firmante. Opcional — por defecto es el dueño de la API key.

  • Name
    roleName
    Type
    string
    Description

    Nombre del rol a asignar al firmante (ej. "Arrendador"). Si existe un rol orphan con ese nombre, lo reclama. Si no existe, lo crea. Máximo 255 caracteres.

Request

POST
/v2/documents/{id}/add-signer
curl -X POST "https://api.allsign.io/v2/documents/DOC_UUID/add-signer" \
  -H "Authorization: Bearer ALLSIGN_LIVE_SK" \
  -H "Content-Type: application/json" \
  -d '{"signerEmail": "nuevo-firmante@empresa.com"}'

Response (200) — Éxito

{
  "success": true,
  "message": "Signer nuevo-firmante@empresa.com added."
}

Response (200) — Duplicado

{
  "success": false,
  "message": "The signer is already on the signer list.",
  "reason": "signer_already_added"
}
PATCH/v2/documents/{document_id}

Update validations

Las validaciones de firma se actualizan mediante el endpoint general de actualización de documento. Incluye el campo signatureValidation en el body del PATCH /v2/documents/{document_id}.

Request body (campo relevante)

  • Name
    signatureValidation
    Type
    object
    Description

    Objeto con las validaciones a actualizar.

  • Name
    signatureValidation.autografa
    Type
    boolean
    Description

    Firma autógrafa. Default: true.

  • Name
    signatureValidation.FEA
    Type
    boolean
    Description

    Firma Electrónica Avanzada. Default: false.

  • Name
    signatureValidation.eIDAS
    Type
    boolean
    Description

    Validación eIDAS. Default: false.

  • Name
    signatureValidation.nom151
    Type
    boolean
    Description

    NOM-151-SCFI. Default: false.

  • Name
    signatureValidation.biometric_signature
    Type
    boolean
    Description

    Firma biométrica (selfie comparada contra ID). Default: false. Este es el nombre canónico del campo (el que aparece en el objeto signatureValidation del documento). Como input también se acepta el alias firmaBiometrica.

Request

PATCH
/v2/documents/{document_id}
curl -X PATCH "https://api.allsign.io/v2/documents/DOC_UUID" \
  -H "Authorization: Bearer ALLSIGN_LIVE_SK" \
  -H "Content-Type: application/json" \
  -d '{
    "signatureValidation": {
      "autografa": true,
      "nom151": true,
      "FEA": false
    }
  }'

DELETE/v2/documents/{document_id}/signers/{signature_id}

Delete signer

Elimina un firmante y su registro de acceso asociado de un documento. Consulta los endpoints de Corrección para el flujo completo de modificación de documentos activos.

Response

  • Name
    success
    Type
    boolean
    Description

    true si el firmante se eliminó correctamente.

  • Name
    detail
    Type
    string
    Description

    Mensaje legible del resultado.

  • Name
    deletedRoleIds
    Type
    array
    Description

    IDs de los roles soft-eliminados como consecuencia de quitar al firmante.

  • Name
    unassignedVariableNames
    Type
    array
    Description

    Nombres de las variables que quedaron "Sin asignar" al liberar los roles.

  • Name
    vacatedRoleIds
    Type
    array
    Description

    IDs de roles que quedaron vacantes (compatibilidad; hoy se emite como arreglo vacío).

Path parameters

  • Name
    document_id
    Type
    string
    Description

    ID del documento (UUID).

  • Name
    signature_id
    Type
    string
    Description

    ID del firmante a eliminar (UUID).

curl -X DELETE "https://api.allsign.io/v2/documents/DOC_UUID/signers/SIG_UUID" \
  -H "Authorization: Bearer ALLSIGN_LIVE_SK"

Response (200)

{
  "success": true,
  "detail": "Signer removed.",
  "deletedRoleIds": [],
  "unassignedVariableNames": [],
  "vacatedRoleIds": []
}

Was this page helpful?